<!DOCTYPE html>
<html lang="en">

<head>
    <title>Bootstrap Example</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- bootsrap and jquery -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js"></script>

    <!-- summernote -->
    <!-- include summernote css/js -->
    <link href="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote.min.js"></script>


    <style>
        @import url('https://fonts.googleapis.com/css2?family=Roboto:wght@900&display=swap');
        body {
            font-family: sans-serif;
        }
        
        h1 {
            font-family: 'Roboto', sans-serif;
        }
        
        li .active {
            background-color: #3498db;
            color: cornsilk;
        }
        
        .sidemenu {
            background-color: #ecf0f1;
            position: fixed;
            margin-left: 0;
            width: 25%;
            height: 100%;
        }
        
        .insidemenu {
            margin-top: 30px;
            margin-left: 25%;
            width: 75%;
            margin-bottom: 50px;
        }
        
        @media only screen and (max-width: 768px) {
            /* For mobile: */
            .sidemenu {
                text-align: center;
                position: relative;
                margin-top: 0;
                padding-bottom: 30px;
                width: 100%;
            }
            .insidemenu {
                width: 100%;
                margin-left: 0;
            }
        }
    </style>



</head>

<body>

    <div class="container-fluid">

        <!-- The Modal -->
        <div class="modal fade" id="myModal">
            <div class="modal-dialog">
                <div class="modal-content">

                    <!-- Modal Header -->
                    <div class="modal-header">
                        <h4 class="modal-title">Modal Heading</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>

                    <!-- Modal body -->
                    <div class="modal-body">
                        <div class="modal-body-preview">

                        </div>
                    </div>

                    <!-- Modal footer -->
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    </div>

                </div>
            </div>
        </div>

        <div class="row">
            <div class="sidemenu">
                <h1 class="text-center">Doc Menu</h1>
                <ul class="nav flex-column" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link active" data-toggle="tab" href="#menu1">API Flow</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" data-toggle="tab" href="#menu2">Database Controller</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" data-toggle="tab" href="#menu3">Input Documentation</a>
                    </li>
                </ul>
            </div>
            <div class="insidemenu">
                <!-- Tab panes -->
                <div class="tab-content">
                    <div id="menu1" class="container tab-pane active">
                        <div class="jumbotron text-center">
                            <h1>API FLOW</h1>
                            <p>Documentation of how flow works</p>
                        </div>
                        <div class="container">
                            <div id="value-apiflow">

                            </div>
                        </div>
                    </div>
                    <div id="menu2" class="container tab-pane fade">
                        <div class="jumbotron text-center">
                            <h1>Database controller</h1>
                            <p>Documentation for database controller usage</p>
                        </div>
                        <div class="container">
                            <h1>Database Controller</h1>
                            <p>This part is inside a .container class.</p>
                            <p>The .container class provides a responsive fixed width container.</p>
                            <p>Resize the browser window to see that its width (max-width) will change at different breakpoints.</p>
                        </div>
                    </div>
                    <div id="menu3" class="container tab-pane fade">
                        <div class="jumbotron text-center">
                            <h1>Input Documentation</h1>
                            <p>Input or Edit Documentation</p>
                        </div>
                        <div class="container">
                            <h1>Input/Edit</h1>

                            <div class="form-group">
                                <label for="insert-doccategory">Select Category:</label>
                                <select class="form-control" id="insert-doccategory">
                                  <option>API FLOW</option>
                                  <option>DATABASE</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="insert-docstatus">Select Category:</label>
                                <select class="form-control" id="insert-docstatus">
                                  <option>DRAFT</option>
                                  <option>PUBLISH</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="insert-docname">Document Tittle</label>
                                <input type="text" class="form-control" id="insert-docname">
                            </div>
                            <div class="form-group">
                                <label for="summernote">Document Value</label>
                                <div id="summernote">Hello Summernote</div>
                            </div>
                            <div class="w-100">
                                <input id="prevdoc" type="submit" class="btn btn-info btn-block" value="Preview">
                                <input id="submitdoc" type="submit" class="btn btn-primary btn-block" value="Submit">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>


        <script>
            $(document).ready(function() {

                var settings = {
                    "url": "get/apiflow",
                    "method": "POST",
                    "timeout": 0,
                    "headers": {
                        "Content-Type": "application/json"
                    },
                    "data": JSON.stringify({
                        "doccategory": "API FLOW"
                    }),
                };

                $.ajax(settings).done(function(response) {
                    $('#value-apiflow').html(response);
                });

                $('#summernote').summernote();
                // $("li a").click(function() {
                //     // event.preventDefault();
                //     $("a").removeClass("active");
                //     $(this).toggleClass("active");
                // });

                $("#prevdoc").click(function() {
                    $('.modal-title').text('Preview your document');
                    $('.modal-body-preview').html(
                        $('#summernote').summernote('code')
                    );
                    $('#myModal').modal('show');

                });

                $("#submitdoc").click(function() {

                    var docname = $('#insert-docname').val();
                    var docvalue = $('#summernote').summernote('code');
                    var doccategory = $('#insert-doccategory option:selected').val();
                    var docstatus = $('#insert-docstatus option:selected').val();

                    var settings = {
                        "url": "insert/servicedoc",
                        "method": "POST",
                        "timeout": 0,
                        "headers": {
                            "Content-Type": "application/json"
                        },
                        "data": JSON.stringify({
                            "docname": docname,
                            "docvalue": docvalue,
                            "doccategory": doccategory,
                            "status": docstatus
                        }),
                    };

                    $.ajax(settings).done(function(response) {
                        console.log(response);
                        $('.modal-title').text('Insert Document');
                        $('.modal-body-preview').html(
                            'Document inserted'
                        );
                        $('#myModal').modal('show');
                    });

                });
            });
        </script>
</body>

</html>